Subject: Re: [RFC PATCH net-next] drivers/net Documentation/networking: Create directory intel_wired_lan

From: Michal Marek <[email-masked]>
Date: Thu, 14 Oct 2010 23:37:33 +0200

On 14.10.2010 21:30, Joe Perches wrote:
> On Thu, 2010-10-14 at 02:34 -0700, Jeff Kirsher wrote:
>> On Wed, 2010-10-13 at 22:57 -0700, Joe Perches wrote:
>>> On Wed, 2010-10-13 at 21:57 -0700, Jeff Kirsher wrote:
>>>> On Wed, 2010-10-13 at 15:28 -0700, Joe Perches wrote:
>>>> Sorry I am not ignoring you, I was taking a closer look at your patch.
>>>>> What regression testing would actually be done?
>>>> The Makefile and Kconfig needs more work.  I applied your patch and none
>>>> of the Intel Wired drivers build.
>>> Care to describe the Makefile/Kconfig issues you have seen?
>>> I built it allyesconfig, defconfig, allmodconfig and allnoconfig.
>> Yeah, I found all of those built without errors, but if you build the
>> Intel Wired LAN drivers as modules, you will not find the *.ko files
>> after the build.  The Kconfig files look fine, the problem was with the
>> Makefiles.  Instead of creating a drivers/net/intel_wired_lan/Makefile,
>> I simply changed the path in drivers/net/Makefile to the updated path
>> and that resolved the issue.
> 
> (adding a few cc's and a link for history)
> 
> http://lkml.org/lkml/2010/10/10/207
> 
> That's the way I had done it originally as well, but I found
> you couldn't build the directory with:
> 
> 	make drivers/net/intel_wired_lan/
> 
> so I created a Makefile in the new directory below with
> the elements necessary.
> 
> Perhaps there's some missing functionality in the build system
> when the Kconfig file resides in a higher directory and the
> directory being built doesn't have a Kconfig file?

This has nothing to do with Kconfig files, I assume you meant Makefiles.

> I think it'd wrong to duplicate the makefile components in
> 2 places to allow "make subdir/" and I wonder if there's a
> good solution for this.

There is no duplication needed, drivers/net/Makefile needs to contain
obj-y += intel_wired_lan/ and drivers/net/intel_wired_lan/Makefile
similar lines for its subdirs. I see your original patch was lacking an
entry in drivers/net/Makefile, so perhaps that was the problem Jeff was
seeing?

Michal

------------------------------------------------------------------------------
Download new Adobe(R) Flash(R) Builder(TM) 4
The new Adobe(R) Flex(R) 4 and Flash(R) Builder(TM) 4 (formerly 
Flex(R) Builder(TM)) enable the development of rich applications that run
across multiple browsers and platforms. Download your free trials today!
http://p.sf.net/sfu/adobe-dev2dev
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired